Summary:	X.org input driver for Aiptek HyperPen devices
Summary(pl.UTF-8):	Sterownik wejściowy X.org dla urządzeń Aiptek HyperPen
Name:		xorg-driver-input-hyperpen
Version:	1.4.1
Release:	11
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-hyperpen-%{version}.tar.bz2
# Source0-md5:	75dc36477a291f8c2f7c808ab78a400a
Patch0:		am.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-proto-inputproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.10.0
%{?requires_xorg_xserver_xinput}
Requires:	xorg-xserver-server >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org input driver for Aiptek HyperPen devices. It supports Aiptek
HyperPen 6000.

%description -l pl.UTF-8
Sterownik wejściowy X.org dla urządzeń Aiptek HyperPen. Obsługuje
Aiptek HyperPen 6000.

%prep
%setup -q -n xf86-input-hyperpen-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/input/hyperpen_drv.so
#%{_mandir}/man4/hyperpen.4*
%changelog
* Sun Nov 20 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-input-hyperpen.git;a=log;h=master

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> 4aa2f5b
- release 11 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 35865eb
- release 10 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 111c560
- xserver rebuild
- release 9 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ac5c98
- xserver rebuild
- release 8 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 2a4eb87
- release 7 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 7cf1e83
- fix building with latest automake
- rel 6

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 43d7a8b
- release 5 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e7ccbdf
- release 4 (by relup.sh)

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e262f6
- release 3

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 83181f1
- release 2

* Fri Jul 08 2011 Jakub Bogusz <qboosh@pld-linux.org> dce57f7
- updated to 1.4.1

* Tue Jun 28 2011 Jakub Bogusz <qboosh@pld-linux.org> 1001312
- updated to 1.4.0

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 07da397
- added README to docs
- updated desc
- release 2.1 (doesn't build with current xserver)

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d70f109
- release 2

* Fri Feb 27 2009 Adam Gołębiowski <adamg@pld-linux.org> ba839a9
- updated to 1.3.0

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e30086c
- release 3

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b671b7
- release 2

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 82452d9
- updated to 1.2.0

* Thu Sep 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2617d54
- rebuilding for new xserver

* Thu Sep 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 963a0fa
- track xserver input deps

